			if(_MODE)
				{
				bl_on();
				button_debounce(_MODE);

				if(delay_time)					// ****** PRIMARY Function ******
					{
					if(lcd_mode == NORMAL_DISPLAY)					// Do not allow MODE changes in User Config.
						{
						if(sub_page0) dsp2_ctr = set_mode_blink();	// Initialise the mode blink counter if we are displaying a measurement page.

						increment_and_check(&eeprom.defval.mode[vfo_idx], 5);

						if(eeprom.defval.cw_annunciation) cw_status = 0x0011;
						else beep_number = eeprom.defval.mode[vfo_idx];
						}
					}
				else							// ****** SECONDARY Function ******
					{
					reset_encoder();						// Fixes spurious page/memory change if VFO knob rotated whilst holding the button in Latched mode.
					mode_function();						// Display either the current VFO Memory Copy or User Configuration page.

					if(hold_latch == LATCH)					// Second Function = LATCHED Mode
						{
						latch = TRUE;
						while(_MODE) warning_beep();		// Immediately start the warning beep
						synch_beep();

						do	{
							warning_beep();
							mode_function();				// Select VFO Memory Copy or User Configuration page.

							if(PWR_SW || _MODE)
								{
								latch = FALSE;				// Release the page hold latch.
								beep_number = 2;
								}
							} while(latch);
						}
					else									// Second Function = PRESS&HOLD Mode
						{
						beep(HZ466_85, cal.calval.beep_len * 5);
						while(_MODE) mode_function();		// Select VFO Memory Copy or User Configuration page.
						}
					}
				wait_PWR_MODE_rls();						// Wait until button is released
				}

